package wsbogusservice;

import javax.xml.rpc.JAXRPCException;
import javax.xml.namespace.QName;
import javax.microedition.xml.rpc.Operation;
import javax.microedition.xml.rpc.Type;
import javax.microedition.xml.rpc.ComplexType;
import javax.microedition.xml.rpc.Element;

public class WSBogusService_Stub implements WSBogusService, javax.xml.rpc.Stub {
    
    private String[] _propertyNames;
    private Object[] _propertyValues;
    
    public WSBogusService_Stub() {
        _propertyNames = new String[] { ENDPOINT_ADDRESS_PROPERTY };
        _propertyValues = new Object[] { "http://localhost:8080/IFFServer-war/WSBogusService" };
    }
    
    public void _setProperty( String name, Object value ) {
        int size = _propertyNames.length;
        for (int i = 0; i < size; ++i) {
            if( _propertyNames[i].equals( name )) {
                _propertyValues[i] = value;
                return;
            }
        }
        String[] newPropNames = new String[size + 1];
        System.arraycopy(_propertyNames, 0, newPropNames, 0, size);
        _propertyNames = newPropNames;
        Object[] newPropValues = new Object[size + 1];
        System.arraycopy(_propertyValues, 0, newPropValues, 0, size);
        _propertyValues = newPropValues;
        
        _propertyNames[size] = name;
        _propertyValues[size] = value;
    }
    
    public Object _getProperty(String name) {
        for (int i = 0; i < _propertyNames.length; ++i) {
            if (_propertyNames[i].equals(name)) {
                return _propertyValues[i];
            }
        }
        if (ENDPOINT_ADDRESS_PROPERTY.equals(name) || USERNAME_PROPERTY.equals(name) || PASSWORD_PROPERTY.equals(name)) {
            return null;
        }
        if (SESSION_MAINTAIN_PROPERTY.equals(name)) {
            return new Boolean(false);
        }
        throw new JAXRPCException("Stub does not recognize property: " + name);
    }
    
    protected void _prepOperation(Operation op) {
        for (int i = 0; i < _propertyNames.length; ++i) {
            op.setProperty(_propertyNames[i], _propertyValues[i].toString());
        }
    }
    
    public bogusOuter getOuterBogus() throws java.rmi.RemoteException {
        Object inputObject[] = new Object[] {
        };
        
        Operation op = Operation.newInstance( _qname_operation_getOuterBogus, _type_getOuterBogus, _type_getOuterBogusResponse );
        _prepOperation( op );
        op.setProperty( Operation.SOAPACTION_URI_PROPERTY, "" );
        Object resultObj;
        try {
            resultObj = op.invoke( inputObject );
        } catch( JAXRPCException e ) {
            Throwable cause = e.getLinkedCause();
            if( cause instanceof java.rmi.RemoteException ) {
                throw (java.rmi.RemoteException) cause;
            }
            throw e;
        }
        
        return bogusOuter_fromObject((Object[])((Object[]) resultObj)[0]);
    }
    
    public bogusInner getInnerBogus() throws java.rmi.RemoteException {
        Object inputObject[] = new Object[] {
        };
        
        Operation op = Operation.newInstance( _qname_operation_getInnerBogus, _type_getInnerBogus, _type_getInnerBogusResponse );
        _prepOperation( op );
        op.setProperty( Operation.SOAPACTION_URI_PROPERTY, "" );
        Object resultObj;
        try {
            resultObj = op.invoke( inputObject );
        } catch( JAXRPCException e ) {
            Throwable cause = e.getLinkedCause();
            if( cause instanceof java.rmi.RemoteException ) {
                throw (java.rmi.RemoteException) cause;
            }
            throw e;
        }
        
        return bogusInner_fromObject((Object[])((Object[]) resultObj)[0]);
    }
    
    private static bogusInner bogusInner_fromObject( Object obj[] ) {
        if(obj == null) return null;
        bogusInner result = new bogusInner();
        result.setSomethingBogus((String )obj[0]);
        return result;
    }
    
    private static bogusOuter bogusOuter_fromObject( Object obj[] ) {
        if(obj == null) return null;
        bogusOuter result = new bogusOuter();
        result.setSomethingBogus((String )obj[0]);
        result.setBogusInner(bogusInner_fromObject((Object[]) obj[1] ));
        return result;
    }
    
    protected static final QName _qname_operation_getInnerBogus = new QName( "http://ws.backend.iff.sticktailgames.com/", "getInnerBogus" );
    protected static final QName _qname_operation_getOuterBogus = new QName( "http://ws.backend.iff.sticktailgames.com/", "getOuterBogus" );
    protected static final QName _qname_getInnerBogus = new QName( "http://ws.backend.iff.sticktailgames.com/", "getInnerBogus" );
    protected static final QName _qname_getInnerBogusResponse = new QName( "http://ws.backend.iff.sticktailgames.com/", "getInnerBogusResponse" );
    protected static final QName _qname_getOuterBogus = new QName( "http://ws.backend.iff.sticktailgames.com/", "getOuterBogus" );
    protected static final QName _qname_getOuterBogusResponse = new QName( "http://ws.backend.iff.sticktailgames.com/", "getOuterBogusResponse" );
    protected static final Element _type_getOuterBogus;
    protected static final Element _type_getOuterBogusResponse;
    protected static final Element _type_getInnerBogusResponse;
    protected static final Element _type_getInnerBogus;
    
    static {
        _type_getInnerBogus = new Element( _qname_getInnerBogus, _complexType( new Element[] {
        }), 1, 1, false );
        _type_getInnerBogusResponse = new Element( _qname_getInnerBogusResponse, _complexType( new Element[] {
            new Element( new QName( "", "return" ), _complexType( new Element[] {
                new Element( new QName( "", "somethingBogus" ), Type.STRING, 0, 1, false )}))}), 1, 1, false );
        _type_getOuterBogus = new Element( _qname_getOuterBogus, _complexType( new Element[] {
        }), 1, 1, false );
        _type_getOuterBogusResponse = new Element( _qname_getOuterBogusResponse, _complexType( new Element[] {
            new Element( new QName( "", "return" ), _complexType( new Element[] {
                new Element( new QName( "", "somethingBogus" ), Type.STRING, 0, 1, false ),
                new Element( new QName( "", "bogusInner" ), _complexType( new Element[] {
                    new Element( new QName( "", "somethingBogus" ), Type.STRING, 0, 1, false )}))}))}), 1, 1, false );
    }
    
    private static ComplexType _complexType( Element[] elements ) {
        ComplexType result = new ComplexType();
        result.elements = elements;
        return result;
    }
}
